### Function

# AppStream VideoContainerKind from_string

#### Declaration [src]

    AsVideoContainerKind
    as_video_container_kind_from_string (
      const gchar* str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsVideoContainerKind`

A `AsVideoContainerKind`, or `AS_VIDEO_CONTAINER_KIND_UNKNOWN` for unknown.